PATCH /api/v1/app-conversations/{conversation_id}
Parameters
| Name | In | Type | Required | Description |
|---|
conversation_id | path | string | yes | — |
Request body
| Field | Type | Required | Description |
|---|
title | `string | null` | no |
public | `boolean | null` | no |
selected_repository | `string | null` | no |
selected_branch | `string | null` | no |
git_provider | `ProviderType | null` | no |
Responses
| Status | Description |
|---|
200 | Successful Response |
422 | Validation Error |
Response body
| Field | Type | Required | Description |
|---|
id | string | no | — |
created_by_user_id | `string | null` | yes |
sandbox_id | string | yes | — |
selected_repository | `string | null` | no |
selected_branch | `string | null` | no |
git_provider | `ProviderType | null` | no |
title | `string | null` | no |
trigger | `ConversationTrigger | null` | no |
pr_number | integer[] | no | — |
llm_model | `string | null` | no |
agent_kind | string | no | — |
metrics | `MetricsSnapshot | null` | no |
parent_conversation_id | `string | null` | no |
sub_conversation_ids | string[] | no | — |
public | `boolean | null` | no |
tags | object | no | — |
created_at | string | no | — |
updated_at | string | no | — |
sandbox_status | SandboxStatus | no | Current sandbox status. Will be MISSING if the sandbox does not exist. |
execution_status | `ConversationExecutionStatus | null` | no |
conversation_url | `string | null` | no |
session_api_key | `string | null` | no |
acp_server | `string | null` | yes |
launched_agent_profile | `LaunchedAgentProfile | null` | yes |
Operation ID: update_app_conversation_api_v1_app_conversations__conversation_id__patch